<?php
include 'core/sys.php';
head('Обмен рубинов');
reg();
$kurs = 1500;

echo '<div class="name">Обмен рубинов на золото</div><div class="row">';
if(empty($_POST['rub'])){
echo 'Курс <img src="img/money/rubin.png"> 1 = <img src="img/money/money.png"> '.$kurs.'<br>
Укажите кол-во рубинов для обмена<br>
<form action="obmen.php" method="post">
<input type="number" name="rub">
<input type="submit" value="Обмен"></form></div>';
}else{
$rub = int($_POST['rub']);
	if($user['rubin']< $rub or $rub==0){
	echo '<div id="error">Не правильное кол-во</div>';
	foot();
	exit;
	}
$zoloto = $kurs*$rub;	
echo 'Обмен прошел успешно.</div><div id="ok">Получено: <img src="img/money/money.png"> '.$zoloto.'<br></div>
<div id="error">Списано: <img src="img/money/rubin.png"> '.$rub.'</div>';
mysql_query("UPDATE `users` SET `money`=`money`+".$zoloto.",`rubin`=`rubin`-".$rub." WHERE `id`='".$user['id']."'");
}

foot();
?>